# Person -ID Investigation / Criminal+W&A+SexOffender

Source: https://docs.pitchpointsolutions.com/developer_guides/orders/IDInvestigation/

**Stable**
# Person -ID Investigation Ordering Guide

## Overview
Your system is ordering a `Person -ID Investigation` or a `Person -Criminal+W&A+SexOffender` (aka `IDInvestigation`).

This same order type is also offered as the product **Person -Criminal+W&A+SexOffender**. The request and response are identical between the two — the product name configured indicates the specialized configuration on the backend.

> **Before Starting:** Get the URL from your Pitchpoint Account Representative of where you should be submitting your orders to.

### Step 1: Authenticate and Receive Tokens
Refer to the [Authentication Guide](https://docs.pitchpointsolutions.com/developer_guides/authentication/access_token/) for detailed steps on authentication and token retrieval.

### Step 2: Place an order

This request submits the order details.

Include the access token in the `Authorization` header following the `Bearer` keyword. Replace `your_access_token_here` with the actual token you obtained during the authentication process.

> **API Reference:** For further explanation of required mandatory fields and their meanings, refer to [Person -ID Investigation API Reference](https://docs.pitchpointsolutions.com/api/order/order_idinvestigation)

#### Example request
The following example orders an IDInvestigation report.

```bash
curl -X POST https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/IDInvestigation/PDF-001 \
-H "Authorization: Bearer your_access_token_here" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
  "CorrelationID" : "idinvestigation-001",
  "Terms" : {
    "Term" : [ {
      "Person" : {
        "FirstName" : "Daffy",
        "LastName" : "Duckerson",
        "SSN" : "123121234",
        "DOB" : "12/17/1976",
        "HomePhone" : "1234567890",
        "Residences" : {
          "Residence" : [ {
            "Address" : {
              "AddressLine1" : "123 Main St",
              "City" : "Anytown",
              "State" : "CA",
              "PostalCode" : "12345"
            },
            "CurrentIndicator" : true
          } ]
        }
      }
    } ]
  }
}'
```

#### Example response

```json
{
  "TransactionID" : "0000000000011038342",
  "CorrelationID" : "idinvestigation-001",
  "Terms" : {
    "Term" : [ {
      "Person" : {
        "FirstName" : "Daffy",
        "LastName" : "Duckerson",
        "SSN" : "123121234",
        "DOB" : "12/17/1976",
        "HomePhone" : "1234567890",
        "Residences" : {
          "Residence" : [ {
            "Address" : {
              "AddressLine1" : "123 Main St",
              "City" : "Anytown",
              "State" : "CA",
              "PostalCode" : "12345"
            },
            "CurrentIndicator" : true
          } ]
        }
      }
    } ]
  },
  "Attachments" : {
    "Attachment": [
      {
        "Properties": null,
        "Extension": null,
        "Document": "JVBERi0xLjUKJd/++LIKM...bDTZTKJGBAQAjRAajCmVuZHN0cmVhbQplbmRvYmoKCnN0YXJ0eHJlZgo0NzA1CiUlRU9GCg==",
        "Classifier": "report",
        "ContentDisposition": "inline; filename=\"IDInvestigationReport\"; creation-date=\"Sun, 02 Aug 2026 01:43:13 UTC\"; modification-date=\"Sun, 02 Aug 2026 01:43:13 UTC\"; read-date=\"Sun, 02 Aug 2026 01:43:13 UTC\"; size=5008",
        "ContentType": "application/pdf"
      }
    ]
  },
  "Messages" : {
    "Message" : [ {
      "Category" : "Info",
      "Code" : "I001",
      "Description" : "Success"
    } ]
  },
  "Status" : {
    "Code" : "S001",
    "Description" : "Serviceable"
  },
  "Ref" : "https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/0000000000011038342"
}
```

After submitting, you may have to wait a few minutes for the request to finish processing.  When the request has returned, the
results of the submission will be in the `Messages.Message.Code` section.  A `Status.Code` of `S001` indicates that the
order was a billable transaction.  

You can use the url provided in the `Ref` field to retrieve the order results again.

## Other Examples

### Missing Input Data
`SSN`, `DOB`, `HomePhone`, and the `Residence.Address.*` fields are missing.

```bash
curl -X POST https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/IDInvestigation/PDF-001 \
-H "Authorization: Bearer your_access_token_here" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
  "CorrelationID" : "idinvestigation_missing_fields",
  "Terms" : {
    "Term" : [ {
      "Person" : {
        "FirstName" : "Daffy",
        "LastName" : "Duckerson",
        "SSN" : "",
        "DOB" : "",
        "HomePhone" : "",
        "Residences" : {
          "Residence" : [ {
            "Address" : {
              "AddressLine1" : "",
              "City" : "",
              "State" : "",
              "PostalCode" : ""
            },
            "CurrentIndicator" : true
          } ]
        }
      }
    } ]
  }
}'
```

#### Example Response

In this response, we see that `Messages.Message.Category = Fault` so we know that the submission of this order failed.
Check the `Messages.Message.Description` for more details on how to correct.

```json
{
  "TransactionID": "0000000000013284314",
  "CorrelationID": "idinvestigation_missing_fields",
  "Meta": null,
  "Preferences": null,
  "Terms": {
    "Term": [
      {
        "Person": {
          "FirstName": "Daffy",
          "MiddleName": null,
          "LastName": "Duckerson",
          "NameSuffix": null,
          "SSN": "",
          "DOB": "",
          "YOB": null,
          "Gender": null,
          "HomePhone": "",
          "Residences": {
            "Residence": [
              {
                "Address": {
                  "AddressLine1": "",
                  "City": "",
                  "State": "",
                  "PostalCode": "",
                  "AddressLine2": null,
                  "AddressLine3": null,
                  "County": null
                },
                "CurrentIndicator": true
              }
            ]
          },
          "Employers": null,
          "EthnicGroup": null,
          "EyeColor": null,
          "BankAccounts": null,
          "Declarations": null,
          "CreditReportIdentifier": null,
          "CourtDetails": null,
          "Email": null,
          "ConsentTokens": null,
          "Properties": null
        }
      }
    ]
  },
  "Attachments": null,
  "Messages": {
    "Message": [
      {
        "Category": "Fault",
        "Code": "E004",
        "Description": "/Inputs[1]/Input[1]/Loan[1]/Borrower[1]/Residence[1]/Address/AddressLine1 is required."
      },
      {
        "Category": "Fault",
        "Code": "E004",
        "Description": "/Inputs[1]/Input[1]/Loan[1]/Borrower[1]/BirthDate is required."
      },
      {
        "Category": "Fault",
        "Code": "E004",
        "Description": "/Inputs[1]/Input[1]/Loan[1]/Borrower[1]/TaxIdentification[1]/TaxIdentificationNumber is required."
      },
      {
        "Category": "Fault",
        "Code": "E004",
        "Description": "/Inputs[1]/Input[1]/Loan[1]/Borrower[1]/Residence[1]/Address/Region is required."
      },
      {
        "Category": "Fault",
        "Code": "E004",
        "Description": "/Inputs[1]/Input[1]/Loan[1]/Borrower[1]/Residence[1]/Address/PostalCode is required."
      },
      {
        "Category": "Fault",
        "Code": "E004",
        "Description": "/Inputs[1]/Input[1]/Loan[1]/Borrower[1]/Residence[1]/Address/City is required."
      }
    ]
  },
  "Status": {
    "Code": "U001",
    "Description": "Unserviceable"
  },
  "Ref": "https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/0000000000013284314"
}
```
